% Generated by roxygen2 (4.0.2): do not edit by hand
\name{eventtable}
\alias{eventtable}
\title{Nonparametric survival estimates.}
\usage{
eventtable(interval, censor, strat = NULL, data, type = c("kaplan",
  "nelson"), ...)
}
\arguments{
\item{interval}{name of the interval variable in the training dataset.}

\item{censor}{name of the censoring variable in the training dataset.}

\item{strat}{stratifying variable in the training dataset, defaults to NULL}

\item{data}{name of the training data.frame}

\item{type}{one of ("kaplan","nelson"), defaults to kaplan-meier}

\item{...}{extra arguments passed to kaplan or nelson functions.}
}
\value{
A gg_survival object created using the non-parametric kaplan-meier or
nelson-aalon estimators.
}
\description{
Nonparametric survival estimates.
}
\details{
eventtable is a wrapper function for both generating nonparametric
survival estimates using either nelson-aalen or kaplan-meier estimates.
}
\seealso{
\code{\link{kaplan}} \code{\link{nelson}} \code{\link{gg_survival}}
}

