% Generated by roxygen2 (4.0.2): do not edit by hand
\name{gg_roc.ggRandomForests}
\alias{gg_roc}
\alias{gg_roc.ggRandomForests}
\title{ROC (Recievor operator curve) data from a classification random forest.}
\usage{
gg_roc.ggRandomForests(object, which.outcome, oob = TRUE)
}
\arguments{
\item{object}{an \code{randomForestSRC::rfsrc} classification object}

\item{which.outcome}{select the classification outcome of interest.}

\item{oob}{use oob estimates (default TRUE)}
}
\value{
gg_roc \code{data.frame} for plotting ROC curves.
}
\description{
The sensitivity and specificity of a randomForests classification object.
}
\examples{
## ------------------------------------------------------------
## classification example
## ------------------------------------------------------------
#iris_rf <- rfsrc(Species ~ ., data = iris)
data(iris_rf, package="ggRandomForests")

# ROC for setosa
ggrf <- gg_roc(iris_rf, which.outcome=1)
plot.gg_roc(ggrf)

# ROC for versicolor
ggrf <- gg_roc(iris_rf, which.outcome=2)
plot.gg_roc(ggrf)

# ROC for virginica
ggrf <- gg_roc(iris_rf, which.outcome=3)
plot.gg_roc(ggrf)

# Alternatively, you can plot all three outcomes in one go
# by calling the plot function on the full forest.
plot.gg_roc(iris_rf)
}
\seealso{
\code{\link{plot.gg_roc}} \code{randomForestSRC::rfsrc}
}

